| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
AnyDataWrapper< T > Class Template Referencefinal

`#include <GaudiKernel/AnyDataWrapper.h>`

Inheritance diagram for AnyDataWrapper< T >:
[legend]
Collaboration diagram for AnyDataWrapper< T >:
[legend]

## Public Member Functions
| AnyDataWrapper (T &&data)
| AnyDataWrapper (AnyDataWrapper &&other)
const T & | getData () const
T & | getData ()
Public Member Functions inherited from AnyDataWrapperBase
virtual | ~AnyDataWrapperBase ()
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Private Attributes
T | m_data

## Additional Inherited Members
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Detailed Description

### template<class T>
class AnyDataWrapper< T >

Definition at line 14 of file AnyDataWrapper.h.

## Constructor & Destructor Documentation

template<class T >

AnyDataWrapper< T >::AnyDataWrapper | ( | T && | data | ) |
| inline

Definition at line 17 of file AnyDataWrapper.h.

18 : m_data(std::move(data))
19 {};
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:30
std::move
T move(T...args)
template<class T >

AnyDataWrapper< T >::AnyDataWrapper | ( | AnyDataWrapper< T > && | other | ) |
| inline

Definition at line 21 of file AnyDataWrapper.h.

22 : AnyDataWrapperBase(std::move(other) )
23 , m_data(std::move(other.m_data))
24 {};
AnyDataWrapperBase
Definition: AnyDataWrapper.h:7
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:30
std::move
T move(T...args)

## Member Function Documentation

template<class T >

const T& AnyDataWrapper< T >::getData | ( |  | ) | const
| inline

Definition at line 26 of file AnyDataWrapper.h.

26 {return m_data;}
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:30
template<class T >

T& AnyDataWrapper< T >::getData | ( |  | ) |
| inline

Definition at line 27 of file AnyDataWrapper.h.

27 {return m_data;}
AnyDataWrapper::m_data
T m_data
Definition: AnyDataWrapper.h:30

## Member Data Documentation

template<class T >

T AnyDataWrapper< T >::m_data
| private

Definition at line 30 of file AnyDataWrapper.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/AnyDataWrapper.h